Name:           perl-Redis
Version:        2.000
Release:    1%{?dist}
Summary:        Perl binding for Redis database
License:        Apache-2.0
URL:            https://metacpan.org/release/Redis
Source0:        https://cpan.metacpan.org/modules/by-module/Redis/Redis-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Errno)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(IO::Socket::Timeout) >= 0.29
BuildRequires:  perl(IO::Socket::UNIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::StdHash)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(warnings)
BuildRequires:  perl(blib)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(Net::EmptyPort)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::SharedFork)
BuildRequires:  perl(Test::TCP) >= 1.19
BuildRequires:  redis
BuildRequires:  perl(Test::CPAN::Meta)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(IO::Socket::Timeout) >= 0.29
Requires:       perl(Time::HiRes)

%description
Pure perl bindings for http://redis.io/

%prep
%setup -q -n Redis-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
unset AUTHOR_TESTING PERL_COMPILE_TEST_DEBUG REDIS_DEBUG REDIS_SERVER REDIS_SERVER_PATH
RELEASE_TESTING=1 ./Build test

%files
%license LICENSE
%doc Changes README scripts/ tools/
%{perl_vendorlib}/Redis.pm
%{perl_vendorlib}/Redis/
%{_mandir}/man3/Redis.3*
%{_mandir}/man3/Redis::Hash.3*
%{_mandir}/man3/Redis::List.3*
%{_mandir}/man3/Redis::Sentinel.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.000-1
- initial build
